Bug 10376 - Needs: osd.el, autosmiley.el
: Needs: osd.el, autosmiley.el
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs-misc-modes)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://www.deepwood.net/software/osd....
:
:
:
  Show dependency tree
 
Reported: 2006-12-07 21:46 by
Modified: 2007-01-07 15:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-07 21:46:41
Добавить бы в пакет osd.el и autosmiley.el. Мне они для emacs-jabber и erc
очень
пользительны.
------- Comment #1 From 2006-12-12 18:08:51 -------
~$ R -q --lastchange emacs-misc-modes
* Сбт Дек 09 2006 Eugene Vlasov <eugvv@altlinux.ru> 0.2-alt4

- Added autosmiley.el and osd.el (#10376)
Вижу.

Только autosmiley.el почему то не пашет - есть смайлики текстовые, а картинок нет.
mv ~/.emacs.d/trash/autosmiley.el ~/.emacs.d
и перегрузка емакса помогают. Странно - md5-хэши моего и пакетного файлов совпадают.
------- Comment #2 From 2006-12-12 18:56:52 -------
Похоже, криво скомпилировался .elc:

Error during redisplay: (invalid-function incf)

После удаления autosmiley.elc все работает. Посмотрим в чем дело, возможно
нехватает чего-нибудь вроде

(eval-when-compile (require 'cl))

Ждите следующей сборки.
------- Comment #3 From 2006-12-18 14:09:31 -------
Должно быть исправлено в сборке 0.2-alt5
------- Comment #4 From 2007-01-07 15:17:27 -------
Fixed in 0.2-alt5